<?php
 //dossier temporaitre pour les images
define('PATH_TO_TEMP', "temp" ); 

// Vérifier si le formulaire a été soumis
if($_SERVER["REQUEST_METHOD"] == "POST")
{
    // Format de la réponse
    if(isset($_FILES["photo"]) && $_FILES["photo"]["error"] == 0)
    {
        $allowed = array(
            "jpg"  => "image/jpeg",
            "jpeg" => "image/jpeg",
            "png"  => "image/png",
            "PNG"  => "image/PNG",
            "JPG"  => "image/JPG"
        );
        $filename    = htmlspecialchars(trim($_FILES["photo"]["name"]));// évite les noms de fichiers trop exotiques 
        $newfilename = $filename;
        $filetype    = $_FILES["photo"]["type"];
        $filesize    = $_FILES["photo"]["size"];
        $message     = "";

        $error      = true; 
        $errorSize  = true;
        $errorMIME  = true;

        // Vérifie l'extension du fichier
        $ext = pathinfo($filename, PATHINFO_EXTENSION);
        if(array_key_exists($ext, $allowed))//die("Erreur : Veuillez sélectionner un format de fichier valide.");
        {
            // Vérifie le type MIME du fichier ATTENTION - VERIFIE SEULEMENT L'EXTENSION
            if(in_array($filetype, $allowed))
            {
                $errorMIME = false;
            }
        }
        $maxsize = 1 * 1024 * 1024;
        if(!($filesize > $maxsize))
        {
            $errorSize = false;
        }
    }
    $error = $errorMIME || $errorSize;
    $data  = array(
        
        "errorMIME" => $errorMIME,
        "errorSize" => $errorSize,
        "error"     => $error,//<----- Prend la valeur true (erreur!) ou false (ouf!)

    );
    echo json_encode($data);
}
?>

